Comme annoncé, ce forum est passé en lecture seule au 1er janvier 2020. Désormais nous vous invitons à vous rendre sur notre nouvelle page communauté :
Image

A très bientôt !

Problème installation dépendance

Retrouvez ici des sujets concernant le protocole Z-Wave et les modules domotiques de type Z-Wave utilisés avec JEEDOM
Guens
Timide
Messages : 13
Inscription : 06 mai 2019, 22:43

Problème installation dépendance

Message par Guens » 04 sept. 2019, 21:34

Bonjour à tous,

Je n'arrive pas à installer les dépendances du Plugin Zwave.

Ci-dessous le Log du plugin:
Lancement de l'installation/mise à jour des dépendances openzwave
Hit:1 http://raspbian.raspberrypi.org/raspbian stretch InRelease
Hit:2 http://archive.raspberrypi.org/debian stretch InRelease
Reading package lists...
Installation des dependances
Reading package lists...
Building dependency tree...
Reading state information...
build-essential is already the newest version (12.3).
g++ is already the newest version (4:6.3.0-4).
gcc is already the newest version (4:6.3.0-4).
git is already the newest version (1:2.11.0-3+deb9u4).
make is already the newest version (4.1-9.1).
python-dev is already the newest version (2.7.13-2).
python-setuptools is already the newest version (33.1.1-1).
unzip is already the newest version (6.0-21+deb9u1).
python-pip is already the newest version (9.0.1-2+rpt2).
The following additional packages will be installed:
libjpeg62-turbo-dev python-bs4 python-chardet python-html5lib python-nose
python-webencodings
Suggested packages:
python-genshi python-twisted python-qt3 python-lxml-dbg python-lxml-doc
python-coverage python-nose-doc python-gobject python-qt4
python-pyside.qtcore python-socks python-wxgtk3.0 | python-wxgtk
The following NEW packages will be installed:
libjpeg-dev libjpeg62-turbo-dev libudev-dev python-bs4 python-chardet
python-html5lib python-louie python-lxml python-nose python-pyudev
python-requests python-serial python-webencodings
0 upgraded, 13 newly installed, 0 to remove and 42 not upgraded.
Need to get 1779 kB of archives.
After this operation, 7216 kB of additional disk space will be used.
Get:1 http://ftp.igh.cnrs.fr/pub/os/linux/raspbian/raspbian stretch/main armhf libudev-dev armhf 232-25+deb9u11 [92.4 kB]
Get:2 http://raspbian.42.fr/raspbian stretch/main armhf libjpeg62-turbo-dev armhf 1:1.5.1-2 [181 kB]
Get:3 http://distrib-coffee.ipsl.jussieu.fr/p ... n/raspbian stretch/main armhf libjpeg-dev all 1:1.5.1-2 [56.1 kB]
Get:4 http://raspbian.42.fr/raspbian stretch/main armhf python-bs4 all 4.5.3-1 [86.7 kB]
Get:5 http://mirrors.ircam.fr/pub/raspbian/raspbian stretch/main armhf python-chardet all 2.3.0-2 [96.0 kB]
Get:6 http://distrib-coffee.ipsl.jussieu.fr/p ... n/raspbian stretch/main armhf python-webencodings all 0.5-2 [10.3 kB]
Get:7 http://ftp.igh.cnrs.fr/pub/os/linux/raspbian/raspbian stretch/main armhf python-html5lib all 0.999999999-1 [88.0 kB]
Get:8 http://ftp.igh.cnrs.fr/pub/os/linux/raspbian/raspbian stretch/main armhf python-nose all 1.3.7-2 [132 kB]
Get:9 http://ftp.igh.cnrs.fr/pub/os/linux/raspbian/raspbian stretch/main armhf python-louie all 1.1-2.1 [21.2 kB]
Get:10 http://raspbian.42.fr/raspbian stretch/main armhf python-lxml armhf 3.7.1-1 [793 kB]
Get:11 http://distrib-coffee.ipsl.jussieu.fr/p ... n/raspbian stretch/main armhf python-pyudev all 0.21.0-1 [40.2 kB]
Get:12 http://ftp.igh.cnrs.fr/pub/os/linux/raspbian/raspbian stretch/main armhf python-requests all 2.12.4-1 [101 kB]
Get:13 http://raspbian.42.fr/raspbian stretch/main armhf python-serial all 3.2.1-1 [81.2 kB]
debconf: unable to initialize frontend: Dialog
debconf: (Dialog frontend will not work on a dumb terminal, an emacs shell buffer, or without a controlling terminal.)
debconf: falling back to frontend: Readline
debconf: unable to initialize frontend: Readline
debconf: (This frontend requires a controlling tty.)
debconf: falling back to frontend: Teletype
dpkg-preconfigure: unable to re-open stdin:
Fetched 1779 kB in 2s (777 kB/s)
Selecting previously unselected package libudev-dev:armhf.
(Reading database ...
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
dpkg: unrecoverable fatal error, aborting:
files list file for package 'apache2' contains empty filename
E: Sub-process /usr/bin/dpkg returned an error code (2)
could not install git - abort


Quelqu'un pourrait il m'aider?

Par avance merci.

schwarzy77
Timide
Messages : 34
Inscription : 17 avr. 2018, 11:32
Localisation : Seine et marne

Re: Problème installation dépendance

Message par schwarzy77 » 05 sept. 2019, 10:57

Bonjour,
jeedom tourne dans une image docker? A tester:
1) se connecter en ssh et lancer en tant que root cette commande:
apt-get install dialog apt-utils -y
2) Si ça ne fonctionne pas, installer manuellement les paquets requis en ligne de commande(ssh en tant qu'utilisateur root) en ajoutant l'option -y pour ne pas avoir de dialogue:
apt-get install -y libjpeg62-turbo-dev python-bs4 python-chardet python-html5lib python-nose python-webencodings

Guens
Timide
Messages : 13
Inscription : 06 mai 2019, 22:43

Re: Problème installation dépendance

Message par Guens » 05 sept. 2019, 20:33

schwarzy77 a écrit :
05 sept. 2019, 10:57
Bonjour,
jeedom tourne dans une image docker? A tester:
1) se connecter en ssh et lancer en tant que root cette commande:
apt-get install dialog apt-utils -y
2) Si ça ne fonctionne pas, installer manuellement les paquets requis en ligne de commande(ssh en tant qu'utilisateur root) en ajoutant l'option -y pour ne pas avoir de dialogue:
apt-get install -y libjpeg62-turbo-dev python-bs4 python-chardet python-html5lib python-nose python-webencodings
Merci pour ton retour.

J'ai effectué le 2)

root@jeedom:/home/jeedom# apt-get install -y libjpeg62-turbo-dev python-bs4 python-chardet python-html5lib python-nose python-webencodings
Reading package lists... Done
Building dependency tree
Reading state information... Done
Suggested packages:
python-genshi python-lxml python-coverage python-nose-doc
The following NEW packages will be installed:
libjpeg62-turbo-dev python-bs4 python-chardet python-html5lib python-nose
python-webencodings
0 upgraded, 6 newly installed, 0 to remove and 42 not upgraded.
Need to get 0 B/594 kB of archives.
After this operation, 2,514 kB of additional disk space will be used.
Selecting previously unselected package libjpeg62-turbo-dev:armhf.
dpkg: unrecoverable fatal error, aborting:
files list file for package 'apache2' contains empty filename
E: Sub-process /usr/bin/dpkg returned an error code (2)

Guens
Timide
Messages : 13
Inscription : 06 mai 2019, 22:43

Re: Problème installation dépendance

Message par Guens » 05 sept. 2019, 20:57

Top j'ai réussi à installer les dépendances!!

Merci.

schwarzy77
Timide
Messages : 34
Inscription : 17 avr. 2018, 11:32
Localisation : Seine et marne

Re: Problème installation dépendance

Message par schwarzy77 » 06 sept. 2019, 16:18

tant mieux que ça ait fonctionné ;)

Répondre

Revenir vers « [Plugin Officiel] Z-Wave »

Qui est en ligne ?

Utilisateurs parcourant ce forum : Aucun utilisateur inscrit et 0 invité